Multivariate Pattern Analysis in Python

# mvpa2.kernels.sg.RbfSGKernel

class `mvpa2.kernels.sg.``RbfSGKernel`(**kwargs)

  Radial basis function: K(a,b) = exp(-||a-b||**2/sigma)

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_ls`(kernel) |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`(kernel) |
  `as_raw_np`() | Directly return this kernel as a numpy array
  `as_raw_sg`() |
  `as_sg`() |
  `cleanup`() | Wipe out internal representation
  `compute`(ds1[, ds2]) | Generic computation of any kernel
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

  Initialize instance of RbfSGKernel

  Parameters:

  sigma

  > Width/division parameter for gaussian kernel. [Default: 1]

  normalizer_cls : sg.Kernel.CKernelNormalizer

  > Class to use as a normalizer for the kernel. Will be instantiated upon compute(). Only supported for shogun >= 0.6.5. By default (if left None) assigns IdentityKernelNormalizer to assure no normalization.

  normalizer_args : None or list

  > If necessary, provide a list of arguments for the normalizer.

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_ls`(kernel) |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`(kernel) |
  `as_raw_np`() | Directly return this kernel as a numpy array
  `as_raw_sg`() |
  `as_sg`() |
  `cleanup`() | Wipe out internal representation
  `compute`(ds1[, ds2]) | Generic computation of any kernel
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |